<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body onload="Taitrang()">
    <h1>Giải phương trình bậc hai</h1>
    <p>Phương trình bậc 2 có 3 tham số a,b và c</p>
    <label> Số a </label>
    <input id="biena" type="number" placeholder="Nhập số a"><br>
    <label> Số b</label>
    <input id="bienb" type="number" placeholder="Nhập số b"><br>
    <label> Số c</label>
    <input id="bienc" type="number" placeholder="Nhập số c"><br>
    <p id="result" style="display: none;"> Đáp án hiện ở đây</p>
    <button onclick="Timnghiem()">Tìm nghiệm</button>
</body>
<script>
    var Input_a = document.getElementById('biena');
    var Input_b = document.getElementById('bienb');
    var Input_c = document.getElementById('bienc');
    var result = document.getElementById('result')

    //ghi đủ ID, placeholder của 03 input text và innerHTML thẻ p 
    function Taitrang(){
        console.log("Tải trang");
        console.log("id của ô nhập số a là: " + Input_a.id);
        console.log("biến placeholder của ô nhập số a là: " + Input_a.placeholder);
        console.log("id của ô nhập số b là: " + Input_b.id);
        console.log("biến placeholder của ô nhập số b là: " + Input_b.placeholder);
        console.log("id của ô nhập số c là: " + Input_c.id);
        console.log("biến placeholder của ô nhập số c là: " + Input_c.placeholder);
        console.log("Giá trị innerHtml dòng hiện kết quả là: " + result.innerHTML);
    }

    //Tìm nghiệm của phương trình
    function Timnghiem(){
        var a = Input_a.value;
        var b = Input_b.value;
        var c = Input_c.value;
        console.log("Tìm nghiệm cùa phường trình bậc 2");
        var delta = b*b-4*a*c;
        if (delta > 0){
            var x1 = (-b +Math.sqrt(delta))/(2*a);
            var x2 = (-b - Math.sqrt(delta))/(2*a);
            result.style.color= "Green";
            result.innerHTML = "Phương trình có 2 nghiệm" + "<br />" + "x1 = " + x1  +  "<br />"  + "x2 = "+ x2;
            console.log(x1);
            console.log(x2);
        } else if ( delta == 0){
            var x = -b/(2*a);
            result.style.display= "block";
            result.style.color= "Blue";
            result.innerHTML = "Phương trình có 1 nghiệm kép: x= " + x
        } else {
            result.style.display= "block";
            result.style.color= "Red";
            result.innerHTML = "Phương trình vô nghiệm";
        }
    }
</script>
</html>